<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <f:facet name="header">
        <h:graphicImage name="accepted.png" library="images"
                        rendered="#{uiBean.parametersRequest.variableStepIsValid}" />
        <h:outputText value="#{titleForVariablesAccordionItem}" />
    </f:facet>
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.accordions.variableAccordionItem" var="variablesAccordionItem" />
    
    <rich:list
        value="#{uiBean.parametersRequest.listVariablesSelected}"
        var="variable" type="unordered"
        rendered="#{uiBean.parametersRequest.variableStepIsValid}">
        <h:outputText escape="false" value="#{variable.localizedVariableName}" />
        <h:graphicImage name="remove_selection.png" library="images"
                        onclick="deSelectVariable(#{variable.variable.id})" styleClass="buttonAction" />
    </rich:list> 
    <h:outputText
        value="#{variablesAccordionItem.PARAM_MSG_WARNING}"
        styleClass="selectionEmpty"
        rendered="#{not uiBean.parametersRequest.variableStepIsValid}" />

</html>